<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:barcode="org.krysalis.barcode4j.xalan.BarcodeExt" xmlns:date="http://exslt.org/dates-and-times"
	xmlns:exsl="http://exslt.org/common"
	extension-element-prefixes="barcode date exsl">

	<xsl:decimal-format name="money" decimal-separator=","
		grouping-separator="." />
	<xsl:decimal-format name="amount" decimal-separator=","
		grouping-separator="." />
	<xsl:decimal-format name="percent"
		decimal-separator="," grouping-separator="." />

	<xsl:attribute-set name="debug">
		<xsl:attribute name="border-color">red</xsl:attribute>
		<xsl:attribute name="border-width">0.5mm</xsl:attribute>
		<xsl:attribute name="border-style">solid</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="th1">
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="padding">0.5mm</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-top-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-top-style">dotted</xsl:attribute>
		<xsl:attribute name="border-bottom-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="th1bold">
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="padding">0.5mm</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-top-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-top-style">dotted</xsl:attribute>
		<xsl:attribute name="border-bottom-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="th2bold">
		<xsl:attribute name="font-weight">bold</xsl:attribute>
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="padding">0.5mm</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-top-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-top-style">dotted</xsl:attribute>
		<xsl:attribute name="border-bottom-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="tf2">
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="padding">0.5mm</xsl:attribute>
		<xsl:attribute name="border-color">black</xsl:attribute>
		<xsl:attribute name="border-bottom-width">0.25mm</xsl:attribute>
		<xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
	</xsl:attribute-set>


	<xsl:attribute-set name="cell-style">
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="padding">0.5mm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text-style">
		<xsl:attribute name="font-size">8pt</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text-small">
		<xsl:attribute name="font-size">6pt</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="text-bold">
		<xsl:attribute name="font-size">8pt</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="spacer">
		<xsl:attribute name="font-size">3pt</xsl:attribute>
		<xsl:attribute name="line-height">1mm</xsl:attribute>
	</xsl:attribute-set>

	<xsl:attribute-set name="title-style">
		<xsl:attribute name="font-size">10pt</xsl:attribute>
		<xsl:attribute name="font-weight">bold</xsl:attribute>
	</xsl:attribute-set>
	
	<xsl:attribute-set name="report-title">
		<xsl:attribute name="font-size">10pt</xsl:attribute>

	</xsl:attribute-set>
	
	<xsl:template name="formatdate">
     	<xsl:param name="datestr" />
     	
     	<xsl:variable name="yyyy">
	       <xsl:value-of select="substring($datestr,1,4)" />
	    </xsl:variable>
     	
	    <xsl:variable name="mm">
	       <xsl:value-of select="substring($datestr,6,2)" />
	    </xsl:variable>
 
	    <xsl:variable name="dd">
	       <xsl:value-of select="substring($datestr,9,2)" />
	    </xsl:variable>
 
	    <xsl:value-of select="$dd" />
	    <xsl:value-of select="'.'" />
	    <xsl:value-of select="$mm" />
	    <xsl:value-of select="'.'" />
	    <xsl:value-of select="$yyyy" />
  	</xsl:template>
  	
  	<xsl:template name="formatdatetime">
     	<xsl:param name="datetimestr" />
     	
     	<xsl:variable name="yyyy">
	       <xsl:value-of select="substring($datetimestr,1,4)" />
	    </xsl:variable>
     	
	    <xsl:variable name="mm">
	       <xsl:value-of select="substring($datetimestr,6,2)" />
	    </xsl:variable>
 
	    <xsl:variable name="dd">
	       <xsl:value-of select="substring($datetimestr,9,2)" />
	    </xsl:variable>
	    
	    <xsl:variable name="time">
	       <xsl:value-of select="substring($datetimestr,12,8)" />
	    </xsl:variable>
 
	    <xsl:value-of select="$dd" />
	    <xsl:value-of select="'.'" />
	    <xsl:value-of select="$mm" />
	    <xsl:value-of select="'.'" />
	    <xsl:value-of select="$yyyy" /> 
	    <xsl:text> </xsl:text>
	    <xsl:value-of select="$time" />
  	</xsl:template>

	<xsl:template match="/">
		<fo:root>
			<fo:layout-master-set>
				<fo:simple-page-master master-name="A4"
					page-height="21cm" page-width="29.7cm" margin-top="20mm"
					margin-bottom="20mm" margin-left="20mm" margin-right="20mm">
					<fo:region-body margin-top="15mm" margin-bottom="5mm"
						margin-left="0mm" margin-right="0mm" />
					<fo:region-before region-name="header" extent="15mm" />
					<fo:region-after region-name="footer" extent="5mm" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="A4">
				<!-- <fo:static-content flow-name="header"> <fo:block> <fo:instream-foreign-object 
					xmlns:svg="http://www.w3.org/2000/svg"> <svg:svg width="90mm" height="150mm"> 
					<svg:g style="fill:red; stroke:#000000; fill-opacity=0.8"> <svg:text x="70" 
					y="70" font-family="Helvetica" font-size="30" transform="rotate(60 20,40)"> 
					Muster, kein Beleg! </svg:text> </svg:g> </svg:svg> </fo:instream-foreign-object> 
					</fo:block> </fo:static-content> -->
				<fo:static-content flow-name="header">
					<fo:block-container xsl:use-attribute-sets="report-title">
						<fo:block>Umsatz pro Mitarbeiter</fo:block>
	
	
						<fo:block>
							Datum:
							<xsl:call-template name="formatdate">
					             <xsl:with-param name="datestr" select="report/report-params/DATE"/>
					        </xsl:call-template>
							 - 
							<xsl:call-template name="formatdate">
					             <xsl:with-param name="datestr" select="report/report-params/TODATE"/>
					        </xsl:call-template>
						</fo:block>
					</fo:block-container>
				</fo:static-content>
				<fo:static-content flow-name="footer">
					<fo:block xsl:use-attribute-sets="text-style" text-align="left" font-size="8pt">
						<fo:table>	
						<fo:table-column column-width="20%"></fo:table-column>
						<fo:table-column column-width="60%"></fo:table-column>
						<fo:table-column column-width="20%"></fo:table-column>
						
						<fo:table-body>
						  <fo:table-row>
						    <fo:table-cell text-align="left" xsl:use-attribute-sets="text-style">
						    	<fo:block>
									<xsl:call-template name="formatdatetime">
							             <xsl:with-param name="datetimestr" select="report/report-params/NOW"/>
							        </xsl:call-template>
							   	</fo:block>
						    </fo:table-cell>
						    <fo:table-cell text-align="center" xsl:use-attribute-sets="text-style">
						    	<fo:block>
						    		Umsatz pro Mitarbeiter   
						    		<xsl:call-template name="formatdate">
							             <xsl:with-param name="datestr" select="report/report-params/DATE"/>
							        </xsl:call-template>
									 - 
									<xsl:call-template name="formatdate">
							             <xsl:with-param name="datestr" select="report/report-params/TODATE"/>
							        </xsl:call-template>
						    	</fo:block>
						    </fo:table-cell>
						    <fo:table-cell text-align="right" xsl:use-attribute-sets="text-style">
						   		<fo:block>
							     	Seite
									<fo:page-number />
									von
									<fo:page-number-citation ref-id="LastPage" />
								</fo:block>
						    </fo:table-cell>
						  </fo:table-row>
						</fo:table-body>
						
						</fo:table>	
					</fo:block>
				</fo:static-content>

				<fo:flow flow-name="xsl-region-body">
					


					<fo:table border-collapse="separate" table-layout="fixed"
						border="1" width="100%">
						<fo:table-column column-width="3.00cm"></fo:table-column>
						<fo:table-column column-width="0.80cm"></fo:table-column>
						<fo:table-column column-width="0.80cm"></fo:table-column>
						<fo:table-column column-width="0.80cm"></fo:table-column>
						<fo:table-column column-width="1.00cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1cm"></fo:table-column>
						<fo:table-column column-width="1cm"></fo:table-column>
						<fo:table-column column-width="1cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-column column-width="1.6cm"></fo:table-column>
						<fo:table-body>
							<fo:table-row>

								<fo:table-cell text-align="left"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Mitarbeiter</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>D</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>H</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>K</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Kunden</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Umsatz D</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Umsatz H</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Umsatz K</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>DL</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Verkauf</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Umsatz</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>Umsatz/Tag</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>DL/D</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>DL/H</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>DL/K</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>U/D</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>U/H</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>U/K</fo:block>
								</fo:table-cell>
							</fo:table-row>
							<xsl:for-each select="report/employeeRevenue/row">
								<fo:table-row>

									<fo:table-cell text-align="left"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_employee_nm" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_amountgoup1" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_amountgoup2" />
										</fo:block>
									</fo:table-cell>
										<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_amountgoup3" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_amountcustomer" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_g1" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_g2" />
										</fo:block>
									</fo:table-cell>
										<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_g3" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_services" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_products" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_per_day" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_services_per_g1" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_services_per_g2" />
										</fo:block>
									</fo:table-cell>
										<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_services_per_g3" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_per_g1" />
										</fo:block>
									</fo:table-cell>
									<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_per_g2" />
										</fo:block>
									</fo:table-cell>
										<fo:table-cell text-align="right"
										xsl:use-attribute-sets="cell-style">
										<fo:block>
											<xsl:value-of select="r_total_per_g3" />
										</fo:block>
									</fo:table-cell>
								</fo:table-row>

							</xsl:for-each>
							<fo:table-row border="1">

								<fo:table-cell text-align="left"
									xsl:use-attribute-sets="th1bold">
									<fo:block></fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>					
										<xsl:value-of select="sum(report/employeeRevenue/row/r_amountgoup1)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_amountgoup2)" />
									</fo:block>
								</fo:table-cell>
									<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_amountgoup3)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_amountcustomer)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_g1_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_g1">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_g1_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_g2_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_g2">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_g2_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
									<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_g3_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_g3">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_g3_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_services_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_services">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_services_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_products_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_products">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_products_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_per_day_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_per_day">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_per_day_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_services_per_g1)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_services_per_g2)" />
									</fo:block>
								</fo:table-cell>
									<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<fo:block>
										<xsl:value-of select="sum(report/employeeRevenue/row/r_services_per_g3)" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_per_g1_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_per_g1">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_per_g1_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_per_g2_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_per_g2">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_per_g2_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
									<fo:table-cell text-align="right"
									xsl:use-attribute-sets="th1bold">
									<xsl:variable name="r_total_per_g3_dec">
								        <xsl:for-each select="report/employeeRevenue/row/r_total_per_g3">
								            <dec>
								                <xsl:value-of select="translate(., ',', '.')"/>
								            </dec>
								        </xsl:for-each>
								    </xsl:variable>
									<fo:block>
										<xsl:value-of select="format-number(sum(exsl:node-set($r_total_per_g3_dec)/dec), '###.##0,000', 'money')" />
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>


					<fo:block id="LastPage" />
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>

</xsl:stylesheet>